#include <iostream>

using namespace std;
int cifre(long long n)
{
    int temp=0;
    while(n!=0) {
        n=n/10;
        temp++;
    }
    return temp;
}
void niz(long long n,int t[],int cifra)
{
    for (int i = cifra; i>=0; i--)
    {
        t[i]=n%10;
        n=n/10;
    }
}
int main()
{
    long long x,y;
    int a[10],b[10],c[10],g,d;
    cin>>x>>y;
    int cifrax=cifre(x);
    int cifray=cifre(y);

    if(cifrax==cifray)
    {
        niz(x,a,cifrax);
        niz(y,b,cifrax);
        d=cifray;
    }
    if(cifrax>cifray)
    {
        niz(x,a,cifrax);
        niz(y,b,cifrax);
        d=cifrax;
    }
    if(cifrax<cifray)
    {
        niz(x,a,cifray);
        niz(y,b,cifray);
        d=cifray;
    }
    for(int i=1;i<d+1;i++)
    {
        if(a[i]>b[i]){
            g++;
            c[g]=a[i];
        }
        if(a[i]<b[i]){
            g++;
            c[g]=b[i];
        }
        if(a[i]==b[i]){
            g++;
            c[g]=a[i];
            g++;
            c[g]=b[i];
        }
    }
    for(int i=1;i<g+1;i++)
        cout<<c[i];

    return 0;
}